[**@rxap/config v19.1.0-dev.1**](../README.md)

***

[@rxap/config](../globals.md) / Join

# Type Alias: Join\<K, P\>

> **Join**\<`K`, `P`\>: `K` *extends* `string` \| `number` ? `P` *extends* `string` \| `number` ? `` `${K}${"" extends P ? "" : "."}${P}` `` : `never` : `never`

Defined in: [types.ts:8](https://gitlab.com/rxap/packages/-/blob/f78a82a9c44bbd717ad98e46a037f325ee3f7f09/packages/angular/config/src/lib/types.ts#L8)

## Type Parameters

• **K**

• **P**
